package com.atmob.keyboard_android.component.listener

import com.atmob.keyboard_android.component.ComponentMediator.OnComponentUpdateListener
import com.atmob.keyboard_android.component.base.IUIComponent
import com.atmob.keyboard_android.util.LogUtil

/**
 * 组件注册和解注册的监听器
 */
class ComponentUpdateLoggingListener : OnComponentUpdateListener {
    override fun onComponentRegister(
        componentName: String,
        component: IUIComponent
    ) {
        LogUtil.d("组件注册 => $componentName，${component.javaClass.name}")
    }

    override fun onComponentUnRegister(
        componentName: String,
        component: IUIComponent
    ) {
        LogUtil.d("组件注销 => $componentName，${component.javaClass.name}")
    }
}